## NMSettingBridge

NMSettingBridge — Describes connection properties for bridges

## Functions

GQuark | nm_setting_bridge_error_quark ()
NMSetting * | nm_setting_bridge_new ()
const char * | nm_setting_bridge_get_interface_name ()
const GByteArray * | nm_setting_bridge_get_mac_address ()
gboolean | nm_setting_bridge_get_stp ()
guint16 | nm_setting_bridge_get_priority ()
guint16 | nm_setting_bridge_get_forward_delay ()
guint16 | nm_setting_bridge_get_hello_time ()
guint16 | nm_setting_bridge_get_max_age ()
guint32 | nm_setting_bridge_get_ageing_time ()

## Properties

guint | ageing-time | Read / Write / Construct
guint | forward-delay | Read / Write / Construct
guint | hello-time | Read / Write / Construct
gchar * | interface-name | Read / Write
GArray_guchar_ * | mac-address | Read / Write
guint | max-age | Read / Write / Construct
guint | priority | Read / Write / Construct
gboolean | stp | Read / Write / Construct

## Types and Values

#define | NM_SETTING_BRIDGE_SETTING_NAME
enum | NMSettingBridgeError
#define | NM_SETTING_BRIDGE_ERROR
#define | NM_SETTING_BRIDGE_INTERFACE_NAME
#define | NM_SETTING_BRIDGE_MAC_ADDRESS
#define | NM_SETTING_BRIDGE_STP
#define | NM_SETTING_BRIDGE_PRIORITY
#define | NM_SETTING_BRIDGE_FORWARD_DELAY
#define | NM_SETTING_BRIDGE_HELLO_TIME
#define | NM_SETTING_BRIDGE_MAX_AGE
#define | NM_SETTING_BRIDGE_AGEING_TIME

## Object Hierarchy

        GEnum
        ╰── NMSettingBridgeError
        GObject
        ╰── NMSetting
            ╰── NMSettingBridge

## Includes

    #include <nm-setting-bridge.h>

## Description

The NMSettingBridge object is a NMSetting subclass that describes properties necessary for bridging connections.

## Functions

### nm_setting_bridge_error_quark ()

    GQuark
    nm_setting_bridge_error_quark (void);

Registers an error quark for NMSettingBridge if necessary.

#### Returns

the error quark used for NMSettingBridge errors.

Since: 0.9.8

### nm_setting_bridge_new ()

    NMSetting *
    nm_setting_bridge_new (void);

Creates a new NMSettingBridge object with default values.

#### Returns

the new empty NMSettingBridge object.

[transfer full]

Since: 0.9.8

### nm_setting_bridge_get_interface_name ()

    const char *
    nm_setting_bridge_get_interface_name (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “interface-name” property of the setting

Since: 0.9.8

### nm_setting_bridge_get_mac_address ()

    const GByteArray *
    nm_setting_bridge_get_mac_address (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “mac-address” property of the setting

Since: 0.9.10

### nm_setting_bridge_get_stp ()

    gboolean
    nm_setting_bridge_get_stp (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “stp” property of the setting

Since: 0.9.8

### nm_setting_bridge_get_priority ()

    guint16
    nm_setting_bridge_get_priority (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “priority” property of the setting

Since: 0.9.8

### nm_setting_bridge_get_forward_delay ()

    guint16
    nm_setting_bridge_get_forward_delay (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “forward-delay” property of the setting

Since: 0.9.8

### nm_setting_bridge_get_hello_time ()

    guint16
    nm_setting_bridge_get_hello_time (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “hello-time” property of the setting

Since: 0.9.8

### nm_setting_bridge_get_max_age ()

    guint16
    nm_setting_bridge_get_max_age (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “max-age” property of the setting

Since: 0.9.8

### nm_setting_bridge_get_ageing_time ()

    guint32
    nm_setting_bridge_get_ageing_time (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “ageing-time” property of the setting

Since: 0.9.8

## Types and Values

### NM_SETTING_BRIDGE_SETTING_NAME

    #define NM_SETTING_BRIDGE_SETTING_NAME "bridge"

### enum NMSettingBridgeError

#### Members

NM_SETTING_BRIDGE_ERROR_UNKNOWN | unknown or unclassified error |
NM_SETTING_BRIDGE_ERROR_INVALID_PROPERTY | the property was invalid |
NM_SETTING_BRIDGE_ERROR_MISSING_PROPERTY | the property was missing and is required |

Since: 0.9.8

### NM_SETTING_BRIDGE_ERROR

    #define NM_SETTING_BRIDGE_ERROR nm_setting_bridge_error_quark ()

### NM_SETTING_BRIDGE_INTERFACE_NAME

    #define NM_SETTING_BRIDGE_INTERFACE_NAME "interface-name"

### NM_SETTING_BRIDGE_MAC_ADDRESS

    #define NM_SETTING_BRIDGE_MAC_ADDRESS    "mac-address"

### NM_SETTING_BRIDGE_STP

    #define NM_SETTING_BRIDGE_STP            "stp"

### NM_SETTING_BRIDGE_PRIORITY

    #define NM_SETTING_BRIDGE_PRIORITY       "priority"

### NM_SETTING_BRIDGE_FORWARD_DELAY

    #define NM_SETTING_BRIDGE_FORWARD_DELAY  "forward-delay"

### NM_SETTING_BRIDGE_HELLO_TIME

    #define NM_SETTING_BRIDGE_HELLO_TIME     "hello-time"

### NM_SETTING_BRIDGE_MAX_AGE

    #define NM_SETTING_BRIDGE_MAX_AGE        "max-age"

### NM_SETTING_BRIDGE_AGEING_TIME

    #define NM_SETTING_BRIDGE_AGEING_TIME    "ageing-time"

## Property Details

### The `“ageing-time”` property

      “ageing-time”              guint

The Ethernet MAC address aging time, in seconds.

Flags: Read / Write / Construct

Allowed values: <= 1000000

Default value: 300

Since: 0.9.8

### The `“forward-delay”` property

      “forward-delay”            guint

The Spanning Tree Protocol (STP) forwarding delay, in seconds.

Flags: Read / Write / Construct

Allowed values: <= 30

Default value: 15

Since: 0.9.8

### The `“hello-time”` property

      “hello-time”               guint

The Spanning Tree Protocol (STP) hello time, in seconds.

Flags: Read / Write / Construct

Allowed values: <= 10

Default value: 2

Since: 0.9.8

### The `“interface-name”` property

      “interface-name”           gchar *

The name of the virtual in-kernel bridging network interface

Flags: Read / Write

Default value: NULL

Since: 0.9.8

### The `“mac-address”` property

      “mac-address”              GArray_guchar_ *

If specified, the MAC address of bridge. When creating a new bridge, this MAC address will be set. When matching an existing (outside NetworkManager created) bridge, this MAC address must match.

Flags: Read / Write

Since: 0.9.10

### The `“max-age”` property

      “max-age”                  guint

The Spanning Tree Protocol (STP) maximum message age, in seconds.

Flags: Read / Write / Construct

Allowed values: <= 40

Default value: 20

Since: 0.9.8

### The `“priority”` property

      “priority”                 guint

Sets the Spanning Tree Protocol (STP) priority for this bridge. Lower values are "better"; the lowest priority bridge will be elected the root bridge.

Flags: Read / Write / Construct

Allowed values: <= 65535

Default value: 32768

Since: 0.9.8

### The `“stp”` property

      “stp”                      gboolean

Controls whether Spanning Tree Protocol (STP) is enabled for this bridge.

Flags: Read / Write / Construct

Default value: TRUE

Since: 0.9.8